<!DOCTYPE html>
<html lang="en">

<link rel="stylesheet" href="../assets/css/bootstrap.min.css">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add new product</title>
</head>

<body>
    <div class="container">
        <form class="form p-4">
            <div class="form-group">
                <input id="name" class="form-control" placeholder="product name" type="text" autofocus>
            </div>
            <div class="form-group">
                <input id="price" class="form-control" placeholder="price" type="number" step="0.1">
            </div>
            <div class="form-group">
                <textarea id="description" class="form-control" placeholder="description" type="text"></textarea>
            </div>
            <button class="btn btn-primary btn-block">Save product</button>
        </form>
    </div>
</body>

<script>

    const { ipcRenderer} = require('electron');
    
    const form = document.querySelector('.form');
    form.addEventListener('submit', e => {
        let name = document.querySelector('#name').value;
        let price = document.querySelector('#price').value;
        let description = document.querySelector('#description').value;

        const product = {
            name: name,
            price: price,
            description:description,
        }

        ipcRenderer.send('newProduct',product);
        e.preventDefault();
    });



</script>

</html>